/*
 * @author Elena Hervalejo
 */
package org.hdtourist.model;

/**
 * Categora de bsqueda
 */
public class CategoriaSearch extends Categoria {

	/** El texto buscado. */
	private String texto = "";

	/**
	 * Instancia una nueva categora de bsqueda
	 *
	 * @param texto
	 *            el texto buscado
	 */
	public CategoriaSearch(String texto) {
		super();
		this.texto = texto;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.model.Categoria#getFicheroConf()
	 */
	@Override
	public String getFicheroConf() {
		return "conf_search";
	}

	/**
	 * Obtienen el texto buscado.
	 *
	 * @return el texto buscado
	 */
	public String getTexto() {
		return this.texto;
	}

	/**
	 * Fija el texto buscado.
	 *
	 * @param texto
	 *            el texto buscado
	 */
	public void setTexto(String texto) {
		this.texto = texto;
	}

}
