package org.hdtourist.model;

/**
 * Esta clase representa los datos de ciudad obtenida de un fichero xml
 * Puede ser del fichero de ciudades disponibles en el servidor o el fichero 
 *  
 * @author Elena Hervalejo
 */
public class Ciudad {

	/** El nombre del fichero HDT */
	private String nombre;

	/** El nombre de la ciudad */
	private String nombreCiudad;

	/** La uri base que ser sujeto en las consutlas */
	private String uri;
	
	/**
	 * El tamao del fichero HDT
	 */
	private int size;
	
	/**
	 * El tamao de los mapas de la ciudad
	 */
	private int sizeMaps;

	/**
	 * Obtiene el nombre.
	 *
	 * @return el nombre
	 */
	public String getNombre() {
		return this.nombre;
	}

	/**
	 * Obtiene el nombre de la ciudad.
	 *
	 * @return el nombre de la ciudad
	 */
	public String getNombreCiudad() {
		return this.nombreCiudad;
	}

	/**
	 * Obtiene la uri base que ser el sujeto en las consultas
	 *
	 * @return la uri
	 */
	public String getUri() {
		return this.uri;
	}

	/**
	 * Fija el nombre del fichero HDT
	 *
	 * @param nombre
	 *            el nuevo nombre del fichero HDT
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * Fija el nombre de la ciudad.
	 *
	 * @param nombreCiudad
	 *            el nuevo nombre de la ciuad
	 */
	public void setNombreCiudad(String nombreCiudad) {
		this.nombreCiudad = nombreCiudad;
	}

	/**
	 * Fija la uri.
	 *
	 * @param uri
	 *            la nueva uri
	 */
	public void setUri(String uri) {
		this.uri = uri;
	}

	/**
	 * Obtiene el tamao del fichero HDT
	 * 
	 * @return el tamao del fichero HDT
	 */
	public int getSize() {
		return size;
	}

	/**
	 * Fija el tamao del fichero HDT
	 * 
	 * @param size 
	 * 				el nuevo tamao del fichero HDT
	 */
	public void setSize(int size) {
		this.size = size;
	}

	/**
	 * Obtiene el tamao de los mapas
	 * 
	 * @return el tamao de los mapas
	 */
	public int getSizeMaps() {
		return sizeMaps;
	}

	/**
	 * Fija el tamao de los mapas de la ciudad
	 * 
	 * @param sizeMaps 
	 * 				el nuevo tamao de los mapas
	 */
	public void setSizeMaps(int sizeMaps) {
		this.sizeMaps = sizeMaps;
	}
}
