/*
 * @author Elena Hervalejo
 */
package org.hdtourist.model;

import java.io.Serializable;

/**
 * The Class GeoPosicion.
 */
public class GeoPosicion implements Serializable {

	/** La constante serialVersionUID. */
	private static final long serialVersionUID = -2849247634857626901L;

	/** La latitud. */
	public float latitude;

	/** La longitud. */
	public float longitude;

	/**
	 * Instancia un nuevo objeto geo posicion.
	 *
	 * @param latitude
	 *            la latitud
	 * @param longitude
	 *            la longitud
	 */
	public GeoPosicion(float latitude, float longitude) {
		super();
		this.latitude = latitude;
		this.longitude = longitude;
	}

	/**
	 * Obtiene la posicion.
	 *
	 * @param coordenadas
	 *            las coordenadas
	 * @return the geo posicion
	 */
	public static GeoPosicion getGeoPosicion(String coordenadas) {
		if (coordenadas.indexOf("POINT") >= 0) {
			coordenadas = coordenadas.replaceAll("\\(", "").replaceAll("\\)", "").replaceAll("POINT", "");
			String c[] = coordenadas.split(" ");
			float latitude = Float.parseFloat(c[1]);
			float longitude = Float.parseFloat(c[0]);
			return new GeoPosicion(latitude, longitude);
		}
		String c[] = coordenadas.split(" ");
		float latitude = Float.parseFloat(c[0]);
		float longitude = Float.parseFloat(c[1]);
		return new GeoPosicion(latitude, longitude);
	}

}
