/*
 * @author Elena Hervalejo
 */
package org.hdtourist.model;

import java.io.Serializable;

/**
 * GeoPosicionEtiqueta.
 * Almacena la posicin, la etiqueta y la ciudad a la que corresponde
 */
public class GeoPosicionEtiqueta implements Serializable {

	/** La constante serialVersionUID. */
	private static final long serialVersionUID = -4834831644408961472L;

	/** The ciudad. */
	private FicheroHdt ciudad;

	/** The etiqueta. */
	private String etiqueta;

	/** The posicion. */
	private GeoPosicion posicion;

	/** The uri. */
	private String uri;

	/**
	 * Instancia una nueva geo posicion etiqueta.
	 *
	 * @param posicion
	 *            la posicion
	 * @param etiqueta
	 *            la etiqueta
	 */
	public GeoPosicionEtiqueta(GeoPosicion posicion, String etiqueta) {
		this.posicion = posicion;
		this.etiqueta = etiqueta;
	}

	/**
	 * Obtiene la ciudad.
	 *
	 * @return la ciudad
	 */
	public FicheroHdt getCiudad() {
		return this.ciudad;
	}

	/**
	 * Obtiene la etiqueta.
	 *
	 * @return the etiqueta
	 */
	public String getEtiqueta() {
		return this.etiqueta;
	}

	/**
	 * Obiene la posicion.
	 *
	 * @return the posicion
	 */
	public GeoPosicion getPosicion() {
		return this.posicion;
	}

	/**
	 * Obtiene la uri.
	 *
	 * @return the uri
	 */
	public String getUri() {
		return this.uri;
	}

	/**
	 * Fija la ciudad.
	 *
	 * @param ciudad
	 *            la ciudad
	 */
	public void setCiudad(FicheroHdt ciudad) {
		this.ciudad = ciudad;
	}

	/**
	 * Fija la etiqueta.
	 *
	 * @param etiqueta
	 *            la etiqueta
	 */
	public void setEtiqueta(String etiqueta) {
		this.etiqueta = etiqueta;
	}

	/**
	 * Fija la posicion.
	 *
	 * @param posicion
	 *            la posicin
	 */
	public void setPosicion(GeoPosicion posicion) {
		this.posicion = posicion;
	}

	/**
	 * Fija la uri.
	 *
	 * @param uri
	 *            the uri to set
	 */
	public void setUri(String uri) {
		this.uri = uri;
	}
}
