/*
 * @author Elena Hervalejo
 */
package org.hdtourist.model.services.xml;

import java.util.ArrayList;
import java.util.List;

import org.hdtourist.model.Ciudad;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

/**
 * El objeto FicherosConfigHandler.
 */
public class FicherosConfigHandler extends DefaultHandler {

	/** El fichero actual. */
	private Ciudad ficheroActual;

	/** El ficheros. */
	private List<Ciudad> ficheros;

	/** The sb texto. */
	private StringBuilder sbTexto;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.xml.sax.helpers.DefaultHandler#characters(char[], int, int)
	 */
	@Override
	public void characters(char[] ch, int start, int length) throws SAXException {

		super.characters(ch, start, length);

		if (this.ficheroActual != null) {
			this.sbTexto.append(ch, start, length);
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.xml.sax.helpers.DefaultHandler#endElement(java.lang.String, java.lang.String, java.lang.String)
	 */
	@Override
	public void endElement(String uri, String localName, String name) throws SAXException {

		super.endElement(uri, localName, name);

		if (this.ficheroActual != null) {

			if (localName.equals("nombre")) {
				this.ficheroActual.setNombre(this.sbTexto.toString().trim());
			} else if (localName.equals("uri")) {
				this.ficheroActual.setUri(this.sbTexto.toString().trim());
			} else if (localName.equals("nombreCiudad")) {
				this.ficheroActual.setNombreCiudad(this.sbTexto.toString().trim());
			} else if (localName.equals("size")) {
				this.ficheroActual.setSize(Integer.parseInt(this.sbTexto.toString().trim()));
			} else if (localName.equals("sizeMaps")) {
				this.ficheroActual.setSizeMaps(Integer.parseInt(this.sbTexto.toString().trim()));
			}else if (localName.equals("fichero")) {
				this.ficheros.add(this.ficheroActual);
			}

			this.sbTexto.setLength(0);
		}
	}

	/**
	 * Gets the ficheros.
	 *
	 * @return the ficheros
	 */
	public List<Ciudad> getFicheros() {
		return this.ficheros;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.xml.sax.helpers.DefaultHandler#startDocument()
	 */
	@Override
	public void startDocument() throws SAXException {

		super.startDocument();

		this.ficheros = new ArrayList<Ciudad>();
		this.sbTexto = new StringBuilder();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.xml.sax.helpers.DefaultHandler#startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)
	 */
	@Override
	public void startElement(String uri, String localName, String name, Attributes attributes) throws SAXException {

		super.startElement(uri, localName, name, attributes);

		if (localName.equals("fichero")) {
			this.ficheroActual = new Ciudad();
		}
	}
}
