/*
 * @author Elena Hervalejo
 */
package org.hdtourist.presenter;

import org.hdtourist.model.Categoria;
import org.hdtourist.model.CategoriaSearch;
import org.hdtourist.model.FicheroHdt;
import org.hdtourist.view.CiudadActivity;
import org.hdtourist.view.InformacionFragment;

// TODO: Auto-generated Javadoc
/**
 * The Class CiudadInfoPresenter.
 */
public abstract class CiudadInfoPresenter {

	/** The activity. */
	protected CiudadActivity activity;

	/** The ciudad. */
	protected FicheroHdt ciudad;

	/**
	 * Gets the ciudad.
	 *
	 * @return the ciudad
	 */
	public FicheroHdt getCiudad() {
		return this.ciudad;
	}

	/**
	 * Gets the fragment.
	 *
	 * @param elegido
	 *            the elegido
	 * @return the fragment
	 */
	public InformacionFragment getFragment(Categoria elegido) {

		if (this.getActivity().getSearchMenu() != null) {
			if (elegido instanceof CategoriaSearch) {
				this.getActivity().getSearchMenu().setEnabled(false);
			} else {
				this.getActivity().getSearchMenu().setEnabled(true);
			}
		}

		InformacionFragment fragment = new InformacionFragment(this.ciudad, elegido);
		return fragment;
	}

	/**
	 * Gets the activity.
	 *
	 * @return the activity
	 */
	protected CiudadActivity getActivity() {
		return this.activity;
	}

}
