/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view;

import org.hdtourist.R;
import org.hdtourist.presenter.CiudadesDisponiblesPresenter;
import org.hdtourist.view.base.BaseFragment;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

/**
 * Fragment que contiene la lista de ciudades almacenadas en el dispositivo.
 */
public class CiudadesDisponiblesListFragment extends BaseFragment {

	/** List View de ciudades. */
	private ListView ciudadesListView;

	/** La vista cuando la lista est vaca. */
	private View emptyView;

	/** The inflater. */
	private LayoutInflater inflater;

	/** La clase presenter gestor de la activity. */
	private CiudadesDisponiblesPresenter presenter;

	/**
	 * Gets the ciudades list view.
	 *
	 * @return the ciudades list view
	 */
	public ListView getCiudadesListView() {
		return this.ciudadesListView;
	}

	/**
	 * Gets the empty view.
	 *
	 * @return the empty view
	 */
	public View getEmptyView() {
		return this.emptyView;
	}

	/**
	 * Gets the inflater.
	 *
	 * @return the inflater
	 */
	public LayoutInflater getInflater() {
		return this.inflater;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.support.v4.app.Fragment#onCreateView(android.view.LayoutInflater, android.view.ViewGroup, android.os.Bundle)
	 */
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {

		super.onCreateView(inflater, container, savedInstanceState);

		this.presenter = new CiudadesDisponiblesPresenter(this);

		this.inflater = inflater;
		View v = inflater.inflate(R.layout.fragment_ciudades_disponibles, container, false);
		this.ciudadesListView = (ListView) v.findViewById(R.id.act_ciudades_disponibles_list);
		this.emptyView = v.findViewById(R.id.act_ciudades_disponibles_empty);

		return v;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.support.v4.app.Fragment#onViewCreated(android.view.View, android.os.Bundle)
	 */
	@Override
	public void onViewCreated(View view, Bundle savedInstanceState) {
		super.onViewCreated(view, savedInstanceState);

		this.presenter.cargaCiudadesDisponibles();

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.base.BaseFragment#refresh()
	 */
	@Override
	public void refresh() {
		this.presenter.cargaCiudadesDisponibles();
	}
}