/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view;

import java.math.BigDecimal;

import org.hdtourist.R;
import org.hdtourist.model.FicheroHdt;
import org.hdtourist.model.services.FicherosService;
import org.hdtourist.model.services.ManejaHdt;
import org.rdfhdt.hdt.hdt.HDT;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;

/**
 * Activity para mostrar la informacin del fichero HDT.
 */
public class InfoHDTActivity extends Activity {

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.app.Activity#onCreate(android.os.Bundle)
	 */
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		this.setContentView(R.layout.activity_info_hdt);

		Bundle bundle = this.getIntent().getExtras();
		FicheroHdt ficheroHdt = (FicheroHdt) bundle.get("HDT");

		ManejaHdt.getInstance().cargaHdt(ficheroHdt.getFichero());
		HDT hdt = ManejaHdt.getInstance().getHDT();

		TextView fileName = (TextView) this.findViewById(R.id.info_hdt_file);
		TextView fileSize = (TextView) this.findViewById(R.id.info_hdt_size);
		TextView fileUri = (TextView) this.findViewById(R.id.info_hdt_uri);
		TextView fileTriples = (TextView) this.findViewById(R.id.info_hdt_triples);
		TextView fileTypeTriples = (TextView) this.findViewById(R.id.info_hdt_type_triples);
		TextView fileDiccionarioSize = (TextView) this.findViewById(R.id.info_hdt_diccionario_size);
		TextView fileSujetos = (TextView) this.findViewById(R.id.info_hdt_sujetos);
		TextView fileObjetos = (TextView) this.findViewById(R.id.info_hdt_objetos);
		TextView filePredicados = (TextView) this.findViewById(R.id.info_hdt_predicados);
		fileName.setText(ficheroHdt.getFichero().getName());
		fileSize.setText(FicherosService.getStringSize(BigDecimal.valueOf(ficheroHdt.getFichero().length())));
		fileUri.setText(hdt.getBaseURI());
		fileTriples.setText("" + hdt.getTriples().getNumberOfElements());
		fileTypeTriples.setText(hdt.getTriples().getType());
		fileDiccionarioSize.setText(FicherosService.getStringSize(BigDecimal.valueOf(hdt.getDictionary().size())));
		fileSujetos.setText("" + hdt.getDictionary().getNsubjects());
		fileObjetos.setText("" + hdt.getDictionary().getNobjects());
		filePredicados.setText("" + hdt.getDictionary().getNpredicates());
	}

}
