/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view;

import org.hdtourist.R;
import org.hdtourist.model.services.HdTouristService;
import org.hdtourist.view.base.BaseMenuActionBarActivity;

import android.os.Bundle;
import android.support.v4.view.MenuItemCompat;
import android.support.v7.widget.SearchView;
import android.view.Menu;
import android.view.MenuItem;

/**
 * Activity para ver las ciudades que se pueden obtener.
 */
public class ObtenerCiudadesActivity extends BaseMenuActionBarActivity {

	/** The search menu item. */
	private MenuItem searchMenuItem;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.base.BaseMenuActionBarActivity#getActionsMenu(android.view.MenuItem)
	 */
	@Override
	public boolean getActionsMenu(MenuItem item) {
		return false;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.base.BaseMenuActionBarActivity#getMenu()
	 */
	@Override
	public int getMenu() {
		return R.menu.menu_obtener_ciudades;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.base.BaseMenuActionBarActivity#getSubMenu()
	 */
	@Override
	public int getSubMenu() {
		return R.menu.submenu_obtener_ciudades;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.base.BaseMenuActionBarActivity#onCreateOptionsMenu(android.view.Menu)
	 */
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		super.onCreateOptionsMenu(menu);

		this.searchMenuItem = menu.findItem(R.id.action_search_cities);
		SearchView searchViewAction = (SearchView) MenuItemCompat.getActionView(this.searchMenuItem);
		searchViewAction.setIconifiedByDefault(false);

		searchViewAction.setOnQueryTextListener(new SearchView.OnQueryTextListener() {

			@Override
			public boolean onQueryTextChange(String newText) {
				ObtenerCiudadesActivity.this.getFragment().busqueda(newText);
				return false;
			}

			@Override
			public boolean onQueryTextSubmit(String query) {
				ObtenerCiudadesActivity.this.getFragment().busqueda(query);
				MenuItemCompat.collapseActionView(ObtenerCiudadesActivity.this.searchMenuItem);
				return true;
			}

		});
		return true;
	}

	/**
	 * Gets the fragment.
	 *
	 * @return the fragment
	 */
	private ObtenerCiudadesListFragment getFragment() {
		return (ObtenerCiudadesListFragment) this.getSupportFragmentManager().getFragments().get(0);
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see android.support.v7.app.ActionBarActivity#onCreate(android.os.Bundle)
	 */
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		this.setContentView(R.layout.activity_obtener_ciudades);
		this.getSupportFragmentManager().beginTransaction().add(R.id.itemListFragment, new ObtenerCiudadesListFragment()).commit();

		HdTouristService.getInstance(this);
	}
}
