/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.base;

import org.hdtourist.model.services.HdTouristService;
import org.hdtourist.utils.HdtException;
import org.hdtourist.view.utils.DialogAlerta;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;

// TODO: Auto-generated Javadoc
/**
 * The Class BaseActivity.
 */
public abstract class BaseActivity extends Activity implements IBaseVista {

	/** Handler para manejar las excepciones. */
	private static Handler erroresHandler = new Handler() {
		@Override
		public void handleMessage(Message msg) {
			HdtException e = (HdtException) msg.obj;
			DialogAlerta.mostrarError(e);
		}
	};

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.base.IBaseVista#manejaError(org.hdtourist.utils.HdtException)
	 */
	@Override
	public void manejaError(HdtException e) {
		Message msg = new Message();
		msg.what = 1;
		msg.obj = e;
		BaseActivity.erroresHandler.sendMessage(msg);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.app.Activity#onCreate(android.os.Bundle)
	 */
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		HdTouristService.getInstance(this);
	}

}