/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.base;

import org.hdtourist.utils.HdtException;
import org.hdtourist.view.utils.DialogAlerta;

import android.os.Handler;
import android.os.Message;
import android.support.v4.app.Fragment;
import android.widget.Toast;

// TODO: Auto-generated Javadoc
/**
 * The Class BaseFragment.
 */
public abstract class BaseFragment extends Fragment implements IBaseVista {

	/** La constante REFRESH. */
	private final static String REFRESH = "refresFragment";

	/** The errores handler. */
	private Handler erroresHandler = new Handler() {
		@Override
		public void handleMessage(Message msg) {
			HdtException e = (HdtException) msg.obj;
			DialogAlerta.mostrarError(e);
		}
	};

	/** The mensajes handler. */
	private Handler mensajesHandler = new Handler() {
		@Override
		public void handleMessage(Message msg) {
			String message = (String) msg.obj;
			if (BaseFragment.REFRESH.equals(message)) {
				BaseFragment.this.refresh();
			} else {
				Toast.makeText(BaseFragment.this.getActivity(), message, Toast.LENGTH_LONG).show();
			}
		}
	};

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.base.IBaseVista#manejaError(org.hdtourist.utils.HdtException)
	 */
	@Override
	public void manejaError(HdtException e) {
		Message msg = new Message();
		msg.what = 1;
		msg.obj = e;
		this.erroresHandler.sendMessage(msg);
	}

	/**
	 * Refresh.
	 */
	public abstract void refresh();

	/**
	 * Send refresh.
	 */
	public void sendRefresh() {
		Message msg = new Message();
		msg.what = 1;
		msg.obj = BaseFragment.REFRESH;
		this.mensajesHandler.sendMessage(msg);
	}

}