/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.base;

import org.hdtourist.R;
import org.hdtourist.view.AboutActivity;
import org.hdtourist.view.OpcionesActivity;
import org.hdtourist.view.utils.ImagePopupMenu;

import android.content.Intent;
import android.support.v7.widget.PopupMenu;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;

// TODO: Auto-generated Javadoc
/**
 * The Class BaseMenuActionBarActivity.
 */
public abstract class BaseMenuActionBarActivity extends BaseActionBarActivity implements IBaseVista {

	/**
	 * Gets the actions menu.
	 *
	 * @param item
	 *            the item
	 * @return the actions menu
	 */
	public abstract boolean getActionsMenu(MenuItem item);

	/**
	 * Gets the actions sub menu.
	 *
	 * @param item
	 *            the item
	 * @return the actions sub menu
	 */
	public boolean getActionsSubMenu(MenuItem item) {
		switch (item.getItemId()) {
		case R.id.action_settings:
			this.startActivityForResult(new Intent(this, OpcionesActivity.class), 0000);
			return true;
		case R.id.action_about:
			this.startActivityForResult(new Intent(this, AboutActivity.class), 0001);
			return true;
		}
		return false;
	}

	/**
	 * Gets the menu.
	 *
	 * @return the menu
	 */
	public abstract int getMenu();

	/**
	 * Gets the sub menu.
	 *
	 * @return the sub menu
	 */
	public abstract int getSubMenu();

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.app.Activity#onCreateOptionsMenu(android.view.Menu)
	 */
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		this.getMenuInflater().inflate(this.getMenu(), menu);
		return true;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.app.Activity#onOptionsItemSelected(android.view.MenuItem)
	 */
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case R.id.menu_more:
			this.showPopup(this.findViewById(R.id.menu_more));
			return true;
		default:
			return this.getActionsMenu(item);
		}
	};

	/**
	 * Show popup.
	 *
	 * @param itemButton
	 *            the item button
	 */
	public void showPopup(View itemButton) {
		ImagePopupMenu popup = new ImagePopupMenu(this, itemButton);
		popup.setSubMenu(this.getSubMenu());
		popup.setOnMenuItemClickListener(new PopupMenu.OnMenuItemClickListener() {

			@Override
			public boolean onMenuItemClick(MenuItem item) {
				return BaseMenuActionBarActivity.this.getActionsSubMenu(item);

			}
		});
		popup.show();

	}
}