/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.inf;

import org.hdtourist.R;
import org.hdtourist.view.InformacionFragment;
import org.hdtourist.view.inf.i.IInformacionVisible;

import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;

// TODO: Auto-generated Javadoc
/**
 * The Class InformacionDatoSimple.
 */
public class InformacionDatoSimple extends InformacionDato implements IInformacionVisible {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.inf.InformacionDato#getView(org.hdtourist.view.InformacionFragment)
	 */
	@Override
	public View getView(final InformacionFragment actividad) {
		LayoutInflater inflater = actividad.getInflater();
		View view = inflater.inflate(R.layout.item_informacion, null, true);

		TextView etiquetaText = (TextView) view.findViewById(R.id.item_informacion_etiqueta);
		etiquetaText.setVisibility(View.GONE);

		final TextView etiquetaAmplioText = (TextView) view.findViewById(R.id.etiqueta_amplia);
		etiquetaAmplioText.setVisibility(View.GONE);

		TextView valorText = (TextView) view.findViewById(R.id.item_informacion_valor);
		valorText.setMaxLines(this.MAX_LINES);
		valorText.setText(this.getValorVisible());

		if (this.isTooLarge(actividad, valorText, this.getValorVisible())) {
			this.fijaExpandirColapsar(actividad, view);
		}
		return view;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.inf.InformacionDato#isTooLarge(org.hdtourist.view.InformacionFragment, android.widget.TextView, java.lang.String)
	 */
	@Override
	protected boolean isTooLarge(InformacionFragment actividad, TextView text, String newText) {
		float textWidth = text.getPaint().measureText(newText);

		float anchoVentana = actividad.getActivity().getWindowManager().getDefaultDisplay().getWidth();

		float anchoTextView = anchoVentana - 8;
		return textWidth >= anchoTextView;
	}

}
