/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.inf;

import org.hdtourist.R;
import org.hdtourist.model.services.PreferencesService;
import org.hdtourist.utils.StringUtils;
import org.hdtourist.view.InformacionFragment;
import org.hdtourist.view.inf.i.IInformacionVisible;
import org.hdtourist.view.utils.DialogAlerta;

import android.content.Intent;
import android.net.Uri;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;

/**
 * The Class InformacionEnlace.
 */
public class InformacionEnlace extends InformacionDato implements IInformacionVisible {

	/** The text enlace. */
	private TextView textEnlace;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.inf.InformacionDato#getView(org.hdtourist.view.InformacionFragment)
	 */
	@Override
	public View getView(final InformacionFragment fragment) {
		LayoutInflater inflater = fragment.getInflater();
		View view = inflater.inflate(R.layout.item_informacion_enlace, null, true);
		this.textEnlace = (TextView) view.findViewById(R.id.item_informacion_enlace);
		TextView etiqueta = (TextView) view.findViewById(R.id.item_informacion_etiqueta);
		etiqueta.setText(this.getEtiqueta());
		this.textEnlace.setText(this.getValorVisible());

		final String url = this.getValorVisible();
		this.textEnlace.setOnClickListener(new View.OnClickListener() {

			@Override
			public void onClick(View v) {
				Uri uri = Uri.parse(url);
				if (PreferencesService.isConexionSiempre()) {
					fragment.getActivity().startActivity(new Intent(Intent.ACTION_VIEW, uri));
				} else if (PreferencesService.isConexionPreguntar()) {
					DialogAlerta.mostrarConfirmacionPantalla(fragment.getActivity(), "Enlace a Pgina Web",
							"Al abrir este enlace se conectar a Internet,\nDesea continuar?", new Intent(Intent.ACTION_VIEW, uri)).show();
				}

			}
		});

		return view;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.inf.InformacionDato#isVisible(android.support.v4.app.Fragment)
	 */
	@Override
	public boolean isVisible(Fragment fragment) {
		return StringUtils.isNotEmpty(this.getValorVisible());
	}

}
