/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.inf;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import org.hdtourist.R;
import org.hdtourist.view.InformacionFragment;
import org.hdtourist.view.inf.i.IInformacionObjetos;
import org.hdtourist.view.inf.i.IInformacionVisible;

import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;

// TODO: Auto-generated Javadoc
/**
 * The Class InformacionGrupo.
 */
public class InformacionGrupo implements IInformacionVisible, IInformacionObjetos {

	/** The etiqueta. */
	private String etiqueta;

	/** The lista datos. */
	private List<InformacionDato> listaDatos = new ArrayList<InformacionDato>();

	/** The otros. */
	private boolean otros = false;

	/**
	 * Gets the etiqueta.
	 *
	 * @return the etiqueta
	 */
	public String getEtiqueta() {
		return this.etiqueta;
	}

	/**
	 * Gets the lista datos.
	 *
	 * @return the lista datos
	 */
	public List<InformacionDato> getListaDatos() {
		return this.listaDatos;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.inf.i.IInformacionObjetos#getObjetosInformacion()
	 */
	@Override
	public List<IInformacionVisible> getObjetosInformacion() {
		// TODO Auto-generated method stub
		return Arrays.asList((IInformacionVisible) this);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.inf.i.IInformacionVisible#getView(org.hdtourist.view.InformacionFragment)
	 */
	@Override
	public View getView(InformacionFragment actividad) {
		View view = null;
		LayoutInflater inflater = actividad.getInflater();

		view = inflater.inflate(R.layout.item_titulo_informacion, null, true);
		TextView textViewEt = (TextView) view.findViewById(R.id.tituloInformacion);
		textViewEt.setText(this.getEtiqueta());
		return view;
	}

	/**
	 * Checks if is otros.
	 *
	 * @return true, if is otros
	 */
	public boolean isOtros() {
		return this.otros;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.inf.i.IInformacionVisible#isVisible(android.support.v4.app.Fragment)
	 */
	@Override
	public boolean isVisible(Fragment fragment) {
		for (InformacionDato d : this.getListaDatos()) {
			if (d.isVisible(fragment)) {
				return true;
			}
		}
		return false;
	}

	/**
	 * Sets the etiqueta.
	 *
	 * @param etiqueta
	 *            the new etiqueta
	 */
	public void setEtiqueta(String etiqueta) {
		this.etiqueta = etiqueta;
	}

	/**
	 * Sets the lista datos.
	 *
	 * @param listaDatos
	 *            the new lista datos
	 */
	public void setListaDatos(List<InformacionDato> listaDatos) {
		this.listaDatos = listaDatos;
	}

	/**
	 * Sets the otros.
	 *
	 * @param otros
	 *            the new otros
	 */
	public void setOtros(boolean otros) {
		this.otros = otros;
	}

	/**
	 * Sets the texto.
	 *
	 * @param texto
	 *            the new texto
	 */
	public void setTexto(String texto) {
		for (InformacionDato dato : this.listaDatos) {
			dato.setTexto(texto);
		}

	}
}
