/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.inf;

import org.hdtourist.R;
import org.hdtourist.model.Categoria;
import org.hdtourist.presenter.InformacionPresenter;
import org.hdtourist.view.InformacionFragment;
import org.hdtourist.view.inf.i.IInformacionVisible;

import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;

// TODO: Auto-generated Javadoc
/**
 * The Class InformacionVinculo.
 */
public class InformacionVinculo extends Categoria implements IInformacionVisible {

	/** La constante serialVersionUID. */
	private static final long serialVersionUID = -5214688211655945008L;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.inf.i.IInformacionVisible#getView(org.hdtourist.view.InformacionFragment)
	 */
	@Override
	public View getView(final InformacionFragment actividad) {
		LayoutInflater inflater = actividad.getInflater();
		View view = inflater.inflate(R.layout.item_informacion_lista, null, true);

		TextView textViewVa = (TextView) view.findViewById(R.id.item_informacion_valor);
		textViewVa.setText(this.getNombre());
		textViewVa.setTag(this);

		textViewVa.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				// TODO - Para seguir la arquitectura extrictamente no se debera llamar al modelo
				Categoria elegido = (Categoria) v.getTag();

				actividad.getCiudadActivity().replaceFragment(InformacionPresenter.getInstance(actividad).getFragment(elegido), true);
			}
		});
		return view;

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.inf.i.IInformacionVisible#isVisible(android.support.v4.app.Fragment)
	 */
	@Override
	public boolean isVisible(Fragment fragment) {
		return true;
	}

}
