/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.utils;

import java.util.Locale;

import org.hdtourist.model.services.HdTouristService;

// TODO: Auto-generated Javadoc
/**
 * The Class HdTIdioma.
 */
public class HdTIdioma {

	/**
	 * Gets the alternate locale string.
	 *
	 * @return the alternate locale string
	 */
	public static String getAlternateLocaleString() {
		return Locale.ENGLISH.getLanguage();
	}

	/**
	 * Gets the locale.
	 *
	 * @return the locale
	 */
	public static Locale getLocale() {
		return HdTouristService.getInstance().getContexto().getResources().getConfiguration().locale;
	}

	/**
	 * Gets the locale string.
	 *
	 * @return the locale string
	 */
	public static String getLocaleString() {
		return HdTIdioma.getLocale().getLanguage();
	}

	/**
	 * Gets the string.
	 *
	 * @param id_texto
	 *            the id_texto
	 * @return the string
	 */
	public static String getString(int id_texto) {
		return HdTouristService.getInstance().getContexto().getResources().getString(id_texto);
	}

	/**
	 * Gets the string.
	 *
	 * @param id_texto
	 *            the id_texto
	 * @param params
	 *            the params
	 * @return the string
	 */
	public static String getString(int id_texto, Object... params) {
		return HdTouristService.getInstance().getContexto().getResources().getString(id_texto, params);

	}
}
