/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.utils;

import java.math.BigDecimal;
import java.math.RoundingMode;

// TODO: Auto-generated Javadoc
/**
 * The Class IProgress.
 */
public abstract class IProgress {

	/**
	 * Forzar notificacion.
	 */
	public abstract void forzarNotificacion();

	/**
	 * Gets the num procesos.
	 *
	 * @return the num procesos
	 */
	public abstract int getNumProcesos();

	/**
	 * Checks if is showing.
	 *
	 * @return true, if is showing
	 */
	public abstract boolean isShowing();

	/**
	 * Notifica.
	 */
	public abstract void notifica();

	/**
	 * Fija el error proceso.
	 */
	public abstract void setErrorProceso();

	/**
	 * Fija el fin proceso.
	 */
	public abstract void setFinProceso();

	/**
	 * Sets the icono.
	 *
	 * @param id
	 *            the new icono
	 */
	public abstract void setIcono(int id);

	/**
	 * Sets the id.
	 *
	 * @param ID
	 *            the new id
	 */
	public abstract void setId(int ID);

	/**
	 * Fija el inicio proceso.
	 */
	public abstract void setInicioProceso();

	/**
	 * Sets the num procesos.
	 *
	 * @param numProcesos
	 *            the new num procesos
	 */
	public abstract void setNumProcesos(int numProcesos);

	/**
	 * Sets the progreso proceso.
	 *
	 * @param progresoActual
	 *            the new progreso proceso
	 */
	public abstract void setProgresoProceso(int progresoActual);

	/**
	 * Sets the texto.
	 *
	 * @param texto
	 *            the new texto
	 */
	public abstract void setTexto(String texto);

	/**
	 * Sets the titulo.
	 *
	 * @param title
	 *            the new titulo
	 */
	public abstract void setTitulo(String title);

	/**
	 * Calcular progreso.
	 *
	 * @param progresoActual
	 *            the progreso actual
	 * @return the int
	 */
	protected int calcularProgreso(int progresoActual) {
		BigDecimal cien = BigDecimal.TEN.multiply(BigDecimal.TEN);

		int numProcesosEjecutados = this.getNumProcesos() - this.getNumProcesosPendientes();
		BigDecimal porcentajePorProceso = cien.divide(new BigDecimal(this.getNumProcesos()), 2, RoundingMode.FLOOR);
		BigDecimal porcentajeYaRealizado = porcentajePorProceso.multiply(new BigDecimal(numProcesosEjecutados));

		BigDecimal porcentajeProgresoActual = new BigDecimal(progresoActual).divide(new BigDecimal(this.getNumProcesos()), 2, RoundingMode.HALF_UP);

		int progreso = porcentajeYaRealizado.add(porcentajeProgresoActual).intValue();
		return progreso;
	}

	/**
	 * Gets the num procesos pendientes.
	 *
	 * @return the num procesos pendientes
	 */
	protected abstract int getNumProcesosPendientes();
}
