/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.utils;

import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

import android.content.Context;
import android.support.v7.widget.PopupMenu;
import android.util.Log;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;

// TODO: Auto-generated Javadoc
/**
 * The Class ImagePopupMenu.
 */
public class ImagePopupMenu {

	/** The popup. */
	PopupMenu popup;

	/**
	 * Instantiates a new image popup menu.
	 *
	 * @param context
	 *            the context
	 * @param anchor
	 *            the anchor
	 */
	public ImagePopupMenu(Context context, View anchor) {
		this.popup = new PopupMenu(context, anchor);
		try {
			this.fijaImagenes();
		} catch (Exception e) {
			Log.e("ImagePopupMenu", "error", e);
		}
	}

	/**
	 * Fija imagenes.
	 *
	 * @throws IllegalArgumentException
	 *             the illegal argument exception
	 * @throws IllegalAccessException
	 *             the illegal access exception
	 * @throws ClassNotFoundException
	 *             the class not found exception
	 * @throws NoSuchMethodException
	 *             the no such method exception
	 * @throws InvocationTargetException
	 *             the invocation target exception
	 */
	public void fijaImagenes() throws IllegalArgumentException, IllegalAccessException, ClassNotFoundException, NoSuchMethodException,
			InvocationTargetException {
		Field[] fields = this.popup.getClass().getDeclaredFields();
		for (Field field : fields) {
			if ("mPopup".equals(field.getName())) {
				field.setAccessible(true);
				Object menuPopupHelper = field.get(this.popup);
				Class<?> classPopupHelper = Class.forName(menuPopupHelper.getClass().getName());
				Method setForceIcons = classPopupHelper.getMethod("setForceShowIcon", boolean.class);
				setForceIcons.invoke(menuPopupHelper, true);
				break;
			}
		}
	}

	/**
	 * Gets the menu item.
	 *
	 * @param id
	 *            the id
	 * @return the menu item
	 */
	public MenuItem getMenuItem(int id) {
		return this.popup.getMenu().findItem(id);
	}

	/**
	 * Sets the on menu item click listener.
	 *
	 * @param listener
	 *            the new on menu item click listener
	 */
	public void setOnMenuItemClickListener(PopupMenu.OnMenuItemClickListener listener) {
		this.popup.setOnMenuItemClickListener(listener);
	}

	/**
	 * Sets the sub menu.
	 *
	 * @param id
	 *            the new sub menu
	 */
	public void setSubMenu(int id) {
		MenuInflater inflate = this.popup.getMenuInflater();
		inflate.inflate(id, this.popup.getMenu());
	}

	/**
	 * Show.
	 */
	public void show() {
		this.popup.show();
	}
}
