/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.utils;

import java.util.ArrayList;
import java.util.List;

import org.hdtourist.presenter.InformacionListPresenter;
import org.hdtourist.view.InformacionFragment;
import org.hdtourist.view.inf.InformacionDato;
import org.hdtourist.view.inf.InformacionGrupo;
import org.hdtourist.view.inf.InformacionImagen;
import org.hdtourist.view.inf.InformacionVinculo;
import org.hdtourist.view.inf.i.IInformacionObjetos;
import org.hdtourist.view.inf.i.IInformacionVisible;

import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;

// TODO: Auto-generated Javadoc
/**
 * The Class InformacionAdapter.
 */
public class InformacionAdapter extends BaseAdapter {

	/** The actividad. */
	private final InformacionFragment actividad;

	/** The informaion. */
	private final InformacionListPresenter informaion;

	/** The listado. */
	private List<IInformacionVisible> listado;

	/** The listado visible. */
	private List<IInformacionVisible> listadoVisible = new ArrayList<IInformacionVisible>();

	/**
	 * Instantiates a new informacion adapter.
	 *
	 * @param inf
	 *            the inf
	 * @param informacionFragment
	 *            the informacion fragment
	 */
	public InformacionAdapter(InformacionListPresenter inf, InformacionFragment informacionFragment) {
		this.informaion = inf;
		this.actividad = informacionFragment;
		this.listado = new ArrayList<IInformacionVisible>();
		for (InformacionGrupo g : this.informaion.getListaInformacion()) {
			this.listado.addAll(g.getObjetosInformacion());
			for (IInformacionObjetos d : g.getListaDatos()) {
				if (g.isOtros()) {
					for (IInformacionVisible d2 : d.getObjetosInformacion()) {
						boolean estaYa = false;
						for (IInformacionVisible ld : this.listado) {
							if (ld instanceof InformacionVinculo) {
								if (((InformacionVinculo) ld).getNombre() != null
										&& ((InformacionVinculo) ld).getNombre().equals(((InformacionVinculo) d2).getNombre())) {
									estaYa = true;
									break;
								}
							}
						}
						if (!estaYa) {
							this.listado.add(d2);
						}
					}
				} else {
					this.listado.addAll(d.getObjetosInformacion());
				}
			}
		}
		this.setInformacionVisible();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.widget.Adapter#getCount()
	 */
	@Override
	public int getCount() {
		return this.listadoVisible.size();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.widget.Adapter#getItem(int)
	 */
	@Override
	public IInformacionVisible getItem(int position) {
		return this.listadoVisible.get(position);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.widget.Adapter#getItemId(int)
	 */
	@Override
	public long getItemId(int position) {
		return position;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.widget.Adapter#getView(int, android.view.View, android.view.ViewGroup)
	 */
	@Override
	public View getView(int position, View arg1, ViewGroup arg2) {
		this.actividad.getInflater();
		View view = arg1;
		IInformacionVisible o = this.getItem(position);
		view = o.getView(this.actividad);
		return view;
	}

	/**
	 * Fija el informacion visible.
	 */
	private void setInformacionVisible() {
		this.listadoVisible.clear();
		for (IInformacionVisible v : this.listado) {
			if (v instanceof InformacionDato && ((InformacionDato) v).isImagenText()) {
				IInformacionVisible v2 = this.listado.get(this.listado.indexOf(v) - 1);
				if (v2 instanceof InformacionImagen) {
					((InformacionImagen) v2).setDescripcionImagen(((InformacionDato) v).getValorVisible());
				}
			} else if (v.isVisible(this.actividad)) {

				this.listadoVisible.add(v);
			}
		}
	}
}