/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.utils;

import java.util.List;

import org.hdtourist.R;
import org.hdtourist.model.Categoria;
import org.hdtourist.model.services.FicherosService;
import org.hdtourist.utils.StringUtils;

import android.app.Activity;
import android.graphics.Bitmap;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

// TODO: Auto-generated Javadoc
/**
 * The Class ListaCategoriasAdapter.
 */
public class ListaCategoriasAdapter extends BaseAdapter {

	/** The actividad. */
	private final Activity actividad;

	/** The lista categorias. */
	private List<Categoria> listaCategorias;

	/**
	 * Instantiates a new lista categorias adapter.
	 *
	 * @param listaCategorias
	 *            the lista categorias
	 * @param actividad
	 *            the actividad
	 */
	public ListaCategoriasAdapter(List<Categoria> listaCategorias, Activity actividad) {
		super();
		this.listaCategorias = listaCategorias;
		this.actividad = actividad;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.widget.Adapter#getCount()
	 */
	@Override
	public int getCount() {
		return this.listaCategorias.size();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.widget.Adapter#getItem(int)
	 */
	@Override
	public Object getItem(int arg0) {
		return this.listaCategorias.get(arg0);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.widget.Adapter#getItemId(int)
	 */
	@Override
	public long getItemId(int position) {
		return position;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.widget.Adapter#getView(int, android.view.View, android.view.ViewGroup)
	 */
	@Override
	public View getView(int position, View arg1, ViewGroup arg2) {
		LayoutInflater inflater = this.actividad.getLayoutInflater();
		View view = inflater.inflate(R.layout.item_categoria, null, true);
		TextView textView = (TextView) view.findViewById(R.id.categoriaNombre);
		Categoria categoria = this.listaCategorias.get(position);
		textView.setText(categoria.getNombre());

		if (StringUtils.isNotEmpty(categoria.getImagen())) {
			try {
				Bitmap myBitmap = FicherosService.getImagenCategoria(categoria.getImagen());

				ImageView myImage = (ImageView) view.findViewById(R.id.categoriaImagen);
				myImage.setImageBitmap(myBitmap);
			} catch (Throwable e) {
				e.printStackTrace();
			}

		}
		return view;

	}

}
