/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.utils;

import org.hdtourist.model.CategoriaLugar;
import org.hdtourist.model.GeoPosicionEtiqueta;
import org.hdtourist.view.CiudadActivity;

import android.app.Activity;
import android.content.Intent;

import com.nutiteq.geometry.VectorElement;
import com.nutiteq.ui.MapListener;

// TODO: Auto-generated Javadoc
/**
 * The listener interface for receiving mapEvent events. The class that is interested in processing a mapEvent event implements this interface, and the object created with that class is registered with a component using the component's <code>addMapEventListener<code> method. When
 * the mapEvent event occurs, that object's appropriate
 * method is invoked.
 *
 * @see MapEventEvent
 */
public class MapEventListener extends MapListener {

	/** The activity. */
	private Activity activity;

	/** The labels clickables. */
	private boolean labelsClickables;

	// activity is often useful to handle click events
	/**
	 * Instantiates a new map event listener.
	 *
	 * @param activity
	 *            the activity
	 * @param labelsClickables
	 *            the labels clickables
	 */
	public MapEventListener(Activity activity, boolean labelsClickables) {
		this.activity = activity;
		this.labelsClickables = labelsClickables;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.nutiteq.ui.MapListener#onLabelClicked(com.nutiteq.geometry.VectorElement, boolean)
	 */
	@Override
	public void onLabelClicked(VectorElement arg0, boolean arg1) {
		if (this.labelsClickables) {
			GeoPosicionEtiqueta objeto = (GeoPosicionEtiqueta) arg0.userData;

			CategoriaLugar categoria = new CategoriaLugar();
			categoria.setUri(objeto.getUri());

			Intent mainIntent = new Intent(this.activity, CiudadActivity.class);

			mainIntent.putExtra("CIUDAD", objeto.getCiudad());
			mainIntent.putExtra("CATEGORIA_INICIAL", categoria);
			this.activity.startActivityForResult(mainIntent, 0000);
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.nutiteq.ui.MapListener#onMapClicked(double, double, boolean)
	 */
	@Override
	public void onMapClicked(double arg0, double arg1, boolean arg2) {
		// TODO Auto-generated method stub

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.nutiteq.ui.MapListener#onMapMoved()
	 */
	@Override
	public void onMapMoved() {
		// TODO Auto-generated method stub

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.nutiteq.ui.MapListener#onVectorElementClicked(com.nutiteq.geometry.VectorElement, double, double, boolean)
	 */
	@Override
	public void onVectorElementClicked(VectorElement arg0, double arg1, double arg2, boolean arg3) {
		// TODO Auto-generated method stub

	}

}
