/*
 * @author Elena Hervalejo
 */
package org.hdtourist.view.utils;

import android.app.ProgressDialog;
import android.content.Context;

// TODO: Auto-generated Javadoc
/**
 * The Class SpinnerProgressDialog.
 */
public class SpinnerProgressDialog extends IProgress {

	/** The num procesos. */
	private int numProcesos = 1;

	/** The num procesos pendientes. */
	private int numProcesosPendientes = 1;

	/** The instance. */
	protected ProgressDialog INSTANCE;

	/**
	 * Instantiates a new spinner progress dialog.
	 *
	 * @param context
	 *            the context
	 */
	public SpinnerProgressDialog(Context context) {
		this.INSTANCE = new ProgressDialog(context);
		this.setStyle();
		this.INSTANCE.setIndeterminate(false);
		this.INSTANCE.setCancelable(false);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#forzarNotificacion()
	 */
	@Override
	public void forzarNotificacion() {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#getNumProcesos()
	 */
	@Override
	public int getNumProcesos() {
		return this.numProcesos;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#isShowing()
	 */
	@Override
	public boolean isShowing() {
		return this.INSTANCE.isShowing();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#notifica()
	 */
	@Override
	public void notifica() {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#setErrorProceso()
	 */
	@Override
	public void setErrorProceso() {
		this.INSTANCE.dismiss();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#setFinProceso()
	 */
	@Override
	public void setFinProceso() {
		this.numProcesosPendientes--;
		if (this.numProcesosPendientes == 0) {
			this.INSTANCE.dismiss();
			this.reset();
		}

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#setIcono(int)
	 */
	@Override
	public void setIcono(int id) {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#setId(int)
	 */
	@Override
	public void setId(int ID) {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#setInicioProceso()
	 */
	@Override
	public void setInicioProceso() {
		this.INSTANCE.show();

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#setNumProcesos(int)
	 */
	@Override
	public void setNumProcesos(int numProcesos) {
		this.numProcesos = numProcesos;

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#setProgresoProceso(int)
	 */
	@Override
	public void setProgresoProceso(int progresoActual) {
		int prog = this.calcularProgreso(progresoActual);
		this.INSTANCE.setProgress(prog);

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#setTexto(java.lang.String)
	 */
	@Override
	public void setTexto(String texto) {
		this.INSTANCE.setMessage(texto);

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#setTitulo(java.lang.String)
	 */
	@Override
	public void setTitulo(String title) {
		this.INSTANCE.setTitle(title);
	}

	/**
	 * Reset.
	 */
	private void reset() {
		this.numProcesos = 1;
		this.numProcesosPendientes = 1;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.hdtourist.view.utils.IProgress#getNumProcesosPendientes()
	 */
	@Override
	protected int getNumProcesosPendientes() {
		return this.numProcesosPendientes;
	}

	/**
	 * Fija el style.
	 */
	protected void setStyle() {
		this.INSTANCE.setProgressStyle(ProgressDialog.STYLE_SPINNER);
	}

}
